### Class

# Foundry ForgeQuery

#### Description

    class Foundry.ForgeQuery : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### foundry_forge_query_new

An empty forge query that does not have specifics provided to any known subsystem filterer.

#### Instance methods

###### foundry_forge_query_contains_keywords_scope

Helper to check `FoundryForgeQuery:keywords-scope` if it contains `keywords_scope` while handling “,” separators.

since: 1.1

###### foundry_forge_query_contains_state

Helper to check `FoundryForgeQuery:state` if it contains `state` while handling “,” separators.

since: 1.1

###### foundry_forge_query_dup_keywords

Gets the keywords for the query.

since: 1.1

###### foundry_forge_query_dup_keywords_scope

Gets the keywords scope for the query.

since: 1.1

###### foundry_forge_query_dup_state

Gets the states for the query.

since: 1.1

###### foundry_forge_query_set_keywords

Sets the keywords for the query.

since: 1.1

###### foundry_forge_query_set_keywords_scope

Sets the keywords scope for the query.

since: 1.1

###### foundry_forge_query_set_state

Sets the allowed states for the query.

since: 1.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.ForgeQuery:keywords

No description available.

###### Foundry.ForgeQuery:keywords-scope

No description available.

###### Foundry.ForgeQuery:state

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryForgeQueryClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.